import { axiosRequest, responseHandle } from '../core/request';

const formatArea = (result) => {
  return GLOBAL._.map(result, (item) => {
    item.value = item.id;
    item.label = item.title;
    return item;
  });
}

// 获取全部社区、村
const getVillages = async () => {
  return formatArea(responseHandle(await axiosRequest(`api/villages`, {
    loading: false
  })));
};

// 获取社区、村 的小组小区
const getGroups = async (v_id) => {
  return formatArea(responseHandle(await axiosRequest(`api/villages/${v_id}/groups`, {
    loading: false
  })));
};

// 获取小组小区的楼栋
const getBuildings = async (g_id) => {
  return formatArea(responseHandle(await axiosRequest(`api/groups/${g_id}/buildings`, {
    loading: false
  })));
};

// 获取楼栋的房间
const getRooms = async (b_id) => {
  return formatArea(responseHandle(await axiosRequest(`api/buildings/${b_id}/rooms`, {
    loading: false
  })));
};

module.exports = {
  getVillages,
  getGroups,
  getBuildings,
  getRooms
};
