import { axiosRequest, responseHandle } from '../core/request';

// 获取验证码
const getCode = async (mobile, type = 1) => {
  return responseHandle(await axiosRequest(`api/sms-code?type=${type}`, {
    method: 'POST',
    data: { mobile },
    loading: false
  }));
};

// 登录
const login = async (username, password) => {
  return responseHandle(await axiosRequest(`api/login/password`, {
    method: 'POST',
    data: { username, password },
    loading: false
  }));
};

// 找回密码
const retrievePsd = async (mobile, code, password, password_confirmation) => {
  return responseHandle(await axiosRequest(`api/password/retrieve`, {
    method: 'POST',
    data: { mobile, code, password, password_confirmation },
    loading: false
  }));
};

// 修改密码
const modifyPsd = async (password, password_confirmation) => {
  return responseHandle(await axiosRequest(`api/users/password`, {
    method: 'PUT',
    data: { password, password_confirmation },
    loading: false
  }));
};

// 退出登录
const logout = async () => {
  return responseHandle(await axiosRequest(`api/logout`, {
    method: 'POST',
    loading: false
  }));
};

module.exports = {
  getCode,
  login,
  retrievePsd,
  modifyPsd,
  logout
};
