import { axiosRequest, responseHandle } from '../core/request';

// 开门记录
const getOpenRecords = async (opts) => {
  const { page, start_date, end_date, q, village_id, group_id, building_id, room_id } = opts;
  let params = { page };
  start_date && (params.start_date = start_date);
  if (start_date && !end_date) {
    let end_date = GLOBAL.moment(start_date).add(1, 'days').format('YYYY-MM-DD');
    params.end_date = end_date;
  }
  end_date && (params.end_date = end_date);
  q && (params.q = q);
  village_id && (params.village_id = village_id);
  group_id && (params.group_id = group_id);
  building_id && (params.building_id = building_id);
  room_id && (params.room_id = room_id);

  console.log(params);

  return responseHandle(await axiosRequest(`api/lock-open-records`, {
    params,
    loading: false
  }));
};

// 报警记录
const getWarningRecords = async (opts) => {
  const { page, start_date, end_date, q, village_id, group_id, building_id, room_id } = opts;
  let params = { page };
  start_date && (params.start_date = start_date);
  if (start_date && !end_date) {
    let end_date = GLOBAL.moment(start_date).add(1, 'days').format('YYYY-MM-DD');
    params.end_date = end_date;
  }
  end_date && (params.end_date = end_date);
  q && (params.q = q);
  village_id && (params.village_id = village_id);
  group_id && (params.group_id = group_id);
  building_id && (params.building_id = building_id);
  room_id && (params.room_id = room_id);

  console.log(params);

  return responseHandle(await axiosRequest(`api/warning-records`, {
    params,
    loading: false
  }));
};

module.exports = {
  getOpenRecords,
  getWarningRecords
};
