import { axiosRequest, responseHandle } from '../core/request';

// 租客列表信息
const list = async (opts) => {
  const { page, audited_status, q, village_id, group_id, building_id, room_id } = opts;

  let params = { page };
  audited_status && (params.audited_status = audited_status);
  q && (params.q = q);
  village_id && (params.village_id = village_id);
  group_id && (params.group_id = group_id);
  building_id && (params.building_id = building_id);
  room_id && (params.room_id = room_id);

  console.log(params);

  return responseHandle(await axiosRequest(`api/tenants`, {
    params,
    loading: false
  }));
};

// 租客详情信息
const info = async (id) => {
  return responseHandle(await axiosRequest(`api/tenants/${id}`));
};

// 租客审核
const audite = async (id, audited_status, audited_opinion = '') => {
  return responseHandle(await axiosRequest(`api/tenants/${id}`, {
    method: 'PUT',
    data: { audited_status, audited_opinion },
    loading: false
  }));
}

module.exports = {
  list,
  info,
  audite
};
