const net = require('react-native-tcp')
import config from './config';

let socetConfig = config.socket
let client
let timer

const init = () => {
  if (timer) {
    clearTimeout(timer)
    timer = undefined
  }

  console.log("socket info: socket正在连接");
  client = net.createConnection({
    host: socetConfig.host,
    port: socetConfig.port,
    rejectUnauthorized: false
  }, () => {
    //向端口写入数据到达服务端
    console.log("socket info: socket已连接")
    send(socetConfig.cmd.reg)
  });

  client.on('data', function(data) {
    console.log("socket info: socket获得信息 " + data)
  });

  client.on('error', function(error) {
    console.log("socket info: socket错误  " + error)
  });

  client.on('close', () => {
    console.log("socket info: socket已关闭")
    if (client) {
      client.destroy();
      client = undefined
    }

    timer = setTimeout(() => {
      init()
      clearTimeout(timer)
      timer = undefined
    }, 3000)
  });
  client.on('timeout', () => {
    console.log("socket info: socket连接超时")
    client.end()
    client = undefined
  });
}

const send = (msg) => {
  if (client && client._state === 2) {
    client.write(msg);
  }
}

export default {
  init: init,
  send: send
}
