import { handleActions } from 'redux-actions';
import { USER_INFO } from '../constants';
import AsyncStorage from '@react-native-community/async-storage';

const initState = {};

export default handleActions({
    [USER_INFO]: (state, { payload }) => ({ ...state, ...payload })
}, initState)

export const saveToken = (token) => async () => {
    await AsyncStorage.setItem('token', token);// 保存token
};

export const updateUserInfo = (userInfo) => async (dispatch) => {
    dispatch({ type: USER_INFO, payload: userInfo });
};

export const clearUserInfo = () => async (dispatch) => {
    await AsyncStorage.removeItem('token');// 移除token
    dispatch({type: USER_INFO, payload: {}});
};