import React, { useState } from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { Flex } from '@ant-design/react-native';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';

const styles = StyleSheet.create({
  ...c_styles,
  container_style: { backgroundColor: '#fff', borderRadius: pxToDp(10), padding: pxToDp(30), marginLeft: pxToDp(30), marginRight: pxToDp(30), marginBottom: pxToDp(20) },
  left_text: { fontSize: pxToDp(28), color: '#666' },
  info_text: { fontSize: pxToDp(28), flex: 1 },
  fail: { backgroundColor: '#FF3030', width: pxToDp(10), height: pxToDp(10), borderRadius: pxToDp(10) },
  status: { color: '#FF3030', fontSize: pxToDp(24), marginLeft: pxToDp(8) },
});

const Index = (props) => {
  let info = props.info || {};

  return (
    <View style={[styles.container_style, props.style || {}]}>
      <Flex align='start' style={{ marginBottom: pxToDp(30) }}>
        <Text style={[styles.left_text]}>报警时间：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.created_at}</Text>
        {/* {
          info.status === 0 && (
            <Flex>
              <View style={styles.fail}></View>
              <Text style={styles.status}>异常</Text>
            </Flex>
          )
        } */}
      </Flex>
      <Flex align='start' style={{ marginBottom: pxToDp(30) }}>
        <Text style={[styles.left_text]}>设备地址：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.village || ''}{info.group || ''}{info.building || ''}{info.room || ''}</Text>
      </Flex>
      <Flex align='start'>
        <Text style={[styles.left_text]}>所属社区/村：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.village || ''}</Text>
      </Flex>
    </View>
  )
}

export default Index