import React, { useState } from 'react';
import { StyleSheet, Text, View, Image } from 'react-native';
import { Flex } from '@ant-design/react-native';
import ModalDropdown from 'react-native-modal-dropdown';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';

const styles = StyleSheet.create({
  ...c_styles,
  drop_text: { fontSize: pxToDp(24) },
  drop_icon: { width: pxToDp(18), height: pxToDp(11), marginLeft: pxToDp(9) }
});

const Index = (props) => {
  let info = props.info || {};

  return (
    <View style={[props.style || {}]}>
      <Flex justify='around' style={{ height: '100%' }}>
          <ModalDropdown options={['option 1', 'option 22312312']}>
            <Flex>
              <Text style={[styles.drop_text, styles.theme_text]}>所在村/社区</Text>
              <Image style={styles.drop_icon} source={require('../../../../assets/images/xiala.png')} />
            </Flex>
          </ModalDropdown>
          <ModalDropdown options={['option 1', 'option 2']}>
            <Flex>
              <Text style={[styles.drop_text, styles.theme_text]}>所在小组/小区</Text>
              <Image style={styles.drop_icon} source={require('../../../../assets/images/xiala.png')} />
            </Flex>
          </ModalDropdown>
          <ModalDropdown options={['option 1', 'option 2']}>
            <Flex>
              <Text style={[styles.drop_text, styles.theme_text]}>所在楼栋</Text>
              <Image style={styles.drop_icon} source={require('../../../../assets/images/xiala.png')} />
            </Flex>
          </ModalDropdown>
          <ModalDropdown options={['option 1', 'option 21212312']}>
            <Flex>
              <Text style={[styles.drop_text, styles.theme_text]}>房间号码</Text>
              <Image style={styles.drop_icon} source={require('../../../../assets/images/xiala.png')} />
            </Flex>
          </ModalDropdown>
        </Flex>
    </View>
  )
}

export default Index