import React, { useState } from 'react';
import { StyleSheet, Text, View, Image } from 'react-native';
import { Flex, WhiteSpace } from '@ant-design/react-native';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';
import { Touchable } from '../../../components';

const styles = StyleSheet.create({
  ...c_styles,
  container_style: { padding: pxToDp(30), borderBottomColor: '#e1e1e1', borderBottomWidth: pxToDp(1) },
  title: { fontSize: pxToDp(30) },
  list_right: { width: pxToDp(9), height: pxToDp(14), marginLeft: pxToDp(10) },
  info_text: { fontSize: pxToDp(26), color: '#666' },
});

const Index = (props) => {
  return (
    <View style={[styles.container_style, props.style || {}]}>
      <Touchable onPress={() => {
        props.clickCell && props.clickCell();
      }}>
        <Flex justify='between'>
          <Text style={[styles.title, styles.theme_text]}>{props.title || ''}</Text>
          <Flex>
            <Text style={{ fontSize: pxToDp(24), color: '#999' }}>详情</Text>
            <Image style={styles.list_right} source={require('../../../../assets/images/right.png')} />
          </Flex>
        </Flex>
        <WhiteSpace size='lg' />
        <Flex justify='between'>
          <Text style={styles.info_text}>烟感报警次数：{props.warnings_count || 0}次</Text>
          <Text style={[styles.info_text, { marginRight: pxToDp(32) }]}>智能门锁异常数量：{props.abnormal_count || 0}把</Text>
        </Flex>
      </Touchable>
    </View>
  )
}

export default Index