import React, { useState } from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { Flex } from '@ant-design/react-native';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';

const styles = StyleSheet.create({
  ...c_styles,
  container_style: { backgroundColor: '#fff', borderRadius: pxToDp(10), padding: pxToDp(30), marginLeft: pxToDp(30), marginRight: pxToDp(30), marginBottom: pxToDp(20) },
  left_text: { fontSize: pxToDp(28), color: '#666' },
  info_text: { fontSize: pxToDp(28), flex: 1 },
  tip: { backgroundColor: 'rgba(13, 157, 239, 0.1)', color: '#0D9DEF', fontSize: pxToDp(20), padding: pxToDp(5), paddingLeft: pxToDp(7), paddingRight: pxToDp(7), borderRadius: pxToDp(4) }
});

const Index = (props) => {
  let info = props.info || {};
  let iotInfo = info.info || {};

  return (
    <View style={[styles.container_style, props.style || {}]}>
      <Flex justify='start' style={{ marginBottom: pxToDp(30) }}>
        <Text style={[styles.left_text]}>设备编号：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.number || ''}</Text>
      </Flex>
      <Flex justify='start'>
        <Text style={[styles.tip, { marginRight: pxToDp(10) }]}>电量:{`${iotInfo.battery || '-'}%`}</Text>
        <Text style={[styles.tip]}>信号:{`${iotInfo.csq_zh || '-'}`}</Text>
      </Flex>
      <View style={{ height: pxToDp(1), width: '100%', backgroundColor: '#e1e1e1', marginBottom: pxToDp(20), marginTop: pxToDp(20) }}></View>
      <Flex justify='start' style={{ marginBottom: pxToDp(30) }}>
        <Text style={[styles.left_text]}>设备地址：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.village_title || ''}{info.group_title || ''}{info.building_title || ''}{info.room_title || ''}</Text>
      </Flex>
      <Flex justify='start'>
        <Text style={[styles.left_text]}>所属社区/村：</Text>
        <Text style={[styles.info_text, styles.theme_text]}>{info.village_title || ''}</Text>
      </Flex>
    </View>
  )
}

export default Index