import React, { useState } from 'react';
import { StyleSheet, View, Text } from 'react-native';
import { Input, Button } from 'react-native-elements';
import { Flex, WhiteSpace, WingBlank } from '@ant-design/react-native';
import Modal from "react-native-modal";

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';

const styles = StyleSheet.create({
  ...c_styles,
  containerStyle: { borderRadius: pxToDp(10), backgroundColor: '#fff', width: pxToDp(520) },
  divider: { backgroundColor: '#e1e1e1', height: pxToDp(1) },
  title: { fontSize: pxToDp(30), fontWeight: '500' },
  content: { fontSize: pxToDp(28), marginTop: pxToDp(70), textAlign: 'center', marginLeft: pxToDp(20), marginRight: pxToDp(20) },
  address: { fontSize: pxToDp(28), color: '#666', marginTop: pxToDp(20) },
  btnStyle: { marginBottom: pxToDp(70), marginTop: pxToDp(50) }
});

const Index = (props) => {
  const { isVisible, title, content, address, onCancel, onSure } = props;

  return (
    <Modal
      onModalShow={() => {
      }}
      onModalHide={() => {
      }}
      isVisible={isVisible}
    >
      <Flex justify='center'>
      <View style={styles.containerStyle}>
        <Flex direction='column'>
          <WhiteSpace size='lg'/>
          <Text style={[styles.title, styles.theme_text]}>{title || ''}</Text>
          <WhiteSpace size='lg'/>
        </Flex>
        <View style={styles.divider}></View>
        <Text style={[styles.content, styles.theme_text]}>{content || ''}</Text>
        {
          address && (
            <Text style={styles.address}>{address || ''}</Text>
          )
        }
        <Flex justify='center' style={styles.btnStyle}>
          <Button
            title='取消'
            containerStyle={{marginRight: pxToDp(25)}}
            buttonStyle={{ backgroundColor: '#e1e1e1', padding: 0, width: pxToDp(160), height: pxToDp(60), borderRadius: pxToDp(60) }}
            titleStyle={{ fontSize: pxToDp(24), color: '#999' }}
            onPress={onCancel}
          />
          <Button
            title='确认'
            containerStyle={{marginLeft: pxToDp(25)}}
            buttonStyle={{ backgroundColor: '#0D9DEF', padding: 0, width: pxToDp(160), height: pxToDp(60), borderRadius: pxToDp(60) }}
            titleStyle={{ fontSize: pxToDp(24), color: '#fff' }}
            onPress={onSure}
          />
        </Flex>
      </View>
      </Flex>
    </Modal>
  )
}

export default Index