import React, { useState } from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { Flex } from '@ant-design/react-native';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';

const styles = StyleSheet.create({
  ...c_styles,
  container_style: { backgroundColor: '#fff', borderRadius: pxToDp(10), padding: pxToDp(30) },
  left_text: { fontSize: pxToDp(28), color: '#666' },
  info_text: { fontSize: pxToDp(28), flex: 1 },
});

const Index = (props) => {
  let info = props.info || {};

  return (
    <View style={{ backgroundColor: '#f5f5f5', paddingLeft: pxToDp(30), paddingRight: pxToDp(30), paddingBottom: pxToDp(20) }}>
      <View style={[styles.container_style]}>
        <Flex align='start' style={{ marginBottom: pxToDp(30) }}>
          <Text style={[styles.left_text]}>{props.type === 'lock' ? '开门时间：' : '报警时间：'}</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{props.type === 'lock' ? info.opened_at : info.created_at}</Text>
        </Flex>
        <Flex align='start' style={{ marginBottom: pxToDp(30) }}>
          <Text style={[styles.left_text]}>{props.type === 'lock' ? '门锁编号：' : '设备编号：'}</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{props.type === 'lock' ? info.lock_number || '' : info.smoke || ''}</Text>
        </Flex>
        <Flex align='start'>
          <Text style={[styles.left_text]}>{props.type === 'lock' ? '设备地址：' : '设备地址：'}</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{props.type === 'lock' ? info.room_address || '' : `${info.village || ''}${info.group || ''}${info.building || ''}${info.room || ''}`}</Text>
        </Flex>
      </View>
    </View>
  )
}

export default Index