import React, { useState } from 'react';
import { StyleSheet, Text, View } from 'react-native';
import { Flex } from '@ant-design/react-native';

import c_styles from '../../../styles';
import pxToDp from '../../../core/pxToDp';
import { Touchable } from '../../../components';

const styles = StyleSheet.create({
  ...c_styles,
  container_style: { backgroundColor: '#fff', borderRadius: pxToDp(10), padding: pxToDp(30), marginLeft: pxToDp(30), marginRight: pxToDp(30), marginBottom: pxToDp(20) },
  left_text: { fontSize: pxToDp(28), color: '#666' },
  info_text: { fontSize: pxToDp(28), flex: 1 },
});

const Index = (props) => {
  let info = props.info || {};

  return (
    <View style={[styles.container_style, props.style || {}]}>
      <Touchable onPress={() => {
        props.clickCell && props.clickCell(info);
      }}>
        <Flex justify='start' style={{ marginBottom: pxToDp(30) }}>
          <Text style={[styles.left_text]}>租客姓名：</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{info.name || ''}</Text>
        </Flex>
        <Flex justify='start' style={{ marginBottom: pxToDp(30) }}>
          <Text style={[styles.left_text]}>入住时间：</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{GLOBAL.moment(info.created_at || '').format('YYYY-MM-DD')}</Text>
        </Flex>
        <Flex justify='start'>
          <Text style={[styles.left_text]}>详细地址：</Text>
          <Text style={[styles.info_text, styles.theme_text]}>{info.village_title || ''}{info.group_title || ''}{info.building_title || ''}{info.room_title || ''}</Text>
        </Flex>
      </Touchable>
    </View>
  )
}

export default Index